

void getData() {

  debugln(String("Suche Wert auf folgender URL: ") + host + apiURL + station);

  httpsclient.setInsecure();  //Workaround to not use Fingerprints / Certificates 

  if (!httpclient.begin(httpsclient, host, httpsPort, String(apiURL) + String(station), false)) {
    debug("connection failed: ");
    failcount++;
    debugln(failcount);
    if (failcount >= maxConsecutiveFails) ESP.restart(); //reset if the ESP failes x times to connect
    return;
  } else {
    failcount = 0;
  }

  int httpCode = httpclient.GET();
  //Serial.print("[HTTP] Resonpose code: ");
  //Serial.println(httpCode, DEC);

  String line = httpclient.getString();
  debugln(line);
  int val = line.toInt();  //String to int
  if (val <= 0) {
    val = 0;
    if (no2Level <= 0) currentStatus = 3; //no resent Value
  }
  else {
    no2Level = val;
    currentStatus = 4; //normal operation
  }


  debugln(String("NOX Level: ") + val);

  httpclient.end();
}
