#pragma once

#define SERIAL_DEBUG 1

#if SERIAL_DEBUG
#define debug(x)     Serial.print(x)
#define debugln(x)   Serial.println(x)
#define debughex(x)     Serial.print(x, HEX)
#define debugbin(x)     Serial.print(x, 2)
#else
#define debug(x)     // define empty, so macro does nothing
#define debugln(x)
#define debughex(x)
#define debugbin(x)     
#endif


#if SHOW_ERROR
#define error(x)     Serial.print(x)
#define errorln(x)   Serial.println(x)
#else
#define error(x)
#define errorln(x)
#endif
