#pragma once

/* Healthy Green palettes */
CRGBPalette16 forestPalette = {
  CRGB::DarkGreen,
  CRGB::DarkGreen,
  CRGB::DarkOliveGreen,
  CRGB::DarkGreen,

  CRGB::Green,
  CRGB::ForestGreen,
  CRGB::OliveDrab,
  CRGB::Green,

  CRGB::SeaGreen,
  CRGB::MediumAquamarine,
  CRGB::LimeGreen,
  CRGB::YellowGreen,

  CRGB::LightGreen,
  CRGB::LawnGreen,
  CRGB::MediumAquamarine,
  CRGB::ForestGreen
};

CRGBPalette16 greenPalette = {
  CHSV(  96, 255, 255),
  CHSV(  96, 255, 255),
  CHSV(  80, 255, 255),
  CHSV(  68, 255, 255),
  CHSV(  88, 255, 255),
  CHSV(  96, 255, 255),
  CHSV(  90, 255, 255),
  CHSV(  88, 255, 255),
  CHSV( 124, 255, 255),
  CHSV( 104, 255, 255),
  CHSV(  80, 255, 255),
  CHSV( 108, 255, 255),
  CHSV(  90, 255, 255),
  CHSV(  96, 255, 255),
  CHSV( 104, 255, 255),
  CHSV( 120, 255, 255)
};


CRGBPalette16 pureGreenPalette = {
  CRGB(  0,   0, 0),
  CRGB(  0,   8, 0),
  CRGB(  0,  16, 0),
  CRGB(  0,  24, 0),
  CRGB(  0,  32, 0),
  CRGB(  0,  40, 0),
  CRGB(  0,  48, 0),
  CRGB(  0,  56, 0),
  CRGB(  0,  64, 0),
  CRGB(  0,  80, 0),
  CRGB(  0,  96, 0),
  CRGB(  0, 128, 0),
  CRGB(  0, 160, 0),
  CRGB(  0, 190, 0),
  CRGB(  0, 230, 0),
  CRGB(  0, 255, 0),
};

/* Warm Fire palette */
CRGBPalette16 fireWarmPalette = {
  0x000000, 0x110000, 0x220000, 0x330000, 
  0x660000, 0x880000, 0xAA1100, 0xCC1100, 
  0xEE2200, 0xFF3300, 0xFF6600, 0xFF8800, 
  0xFFAA10, 0xFFCC20, 0xFFEE30, 0xFFFF30
};


CRGBPalette16 fullRedPalette = {
  CHSV(   0, 255, 255),
  CHSV(   8, 255, 255),
  CHSV( 255, 255, 255),
  CHSV(   8, 255, 255),
  CHSV(  32, 255, 255),
  CHSV(   8, 255, 255),
  CHSV(   0, 255, 255),
  CHSV(   8, 255, 255),
  CHSV(  32, 255, 255),
  CHSV(  16, 255, 255),
  CHSV(   4, 255, 255),
  CHSV(  12, 255, 255),
  CHSV( 255, 255, 255),
  CHSV(  36, 255, 255),
  CHSV(   8, 255, 255),
  CHSV(   0, 255, 255)
};

/*
CRGBPalette16 fullRedPalette = {
  CHSV(   0, 255, 255),
  CHSV(   8, 255, 255),
  CHSV( 255, 255, 255),
  CHSV(   8, 255, 255),
  CHSV(  32, 255, 255),
  CHSV(   8, 255, 255),
  CHSV(   0, 255, 255),
  CHSV(   8, 255, 255),
  CHSV(  32, 255, 255),
  CHSV(  16, 255, 255),
  CHSV(   4, 255, 255),
  CHSV(  12, 255, 255),
  CHSV( 255, 255, 255),
  CHSV(  36, 255, 255),
  CHSV(   8, 255, 255),
  CHSV(   0, 255, 255)
};
*/

/* Cold White Spark Palette */

CRGBPalette16 sparkPalette = {
  0x000000,
  0x000022, 0x112222, 0x223333, 0x334444, 0x445555,
  0x446666, 0x667777, 0x778888, 0x889999, 0x99AAAA,
  0xAABBBB, 0xBBCCCC, 0xCCDDDD, 0xDDEEEE, 0xFFFFFF
};
